<template>
  <modal name="delete-account"
         class="arcticmodal-container"
         :width="600"
         :height="250"
         adaptive
         @before-open="beforeOpen">
      <div class="container m-header">
        <div
          @click="close()"
          class="box-modal_close arcticmodal-close"></div>
        <div class="row">
          <div class="column">
            <h3>{{ params.title }}</h3>
          </div>
        </div>
      </div>
      <div class="container">
        <p>{{ params.questionText }}</p>
        <div class="row buttons">
          <button @click="deleteAccount">Да</button>
          <button class="white" @click="close">Отменить</button>
        </div>
      </div>
  </modal>
</template>
<script>
  import {SET_ERRORS} from '@/store/mutation-types'

  let parent = {}
  export default {
    name: 'delete-account',
    data () {
      return {
        time: 0,
        duration: 5000,
        params: {}
      }
    },
    methods: {
      beforeOpen (event) {
        parent = this.$parent
        this.params = event.params
      },
		deleteAccount() {
			this.AJAX_LOADING(true);
			this.$store.dispatch(this.params.action, {...this.params.card, main: 1}).then(async () => {

				await this.$backend.api.accounts.get().then(({data}) => {
					this.$store.commit('LOAN_SET_ACCOUNTS', data.data);
				});

				this.params.action === 'ACCOUNTS_SET_PRIMARY'
					? this.$toastr.success('Основной счет изменен', 'Успешно')
					: this.$toastr.success('Счет удален', 'Успешно');

				if (this.$parent.$refs.main) {
					this.$helpers.scroll(this.$parent.$refs.main);
				}
			}).catch((e) => {
				this.$toastr.error('При сохранении данных произошла ошибка.', 'Ошибка');
			}).finally(() => {
				this.AJAX_LOADING(false);
			});
			this.$modal.hide('delete-account');
		},
      close () {
        this.$modal.hide('delete-account')
      }
    }
  }
</script>
<style scoped>
  .buttons {
    text-align: center
  }
</style>
